Bug 169031 - NM doesn't honore DHCP setup for wired connection under heavy load
NM doesn't honore DHCP setup for wired connection under heavy load
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-22 08:33 EDT by Michael Loeblich
Modified: 2008-02-12 01:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-12 01:50:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Loeblich 2005-09-22 08:33:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc3 Firefox/1.0.6

Description of problem:
NM doesn't honore DHCP setup for wired connection under heavy load, for
example if copying a bunch of big files for a longer amount of time and
during the transfer NetworkManager requests an IP-DHCP-update for that
interface.

tcpdump-output:
13:33:22.167580 IP hejpc120.hejoe.int.bootpc > 255.255.255.255.bootps: BOOTP/DHCP, Request from 00:0d:56:7a:35:a9, length: 304
13:33:22.229611 IP linebox.hejoe.int.bootps > hejpc120.hejoe.int.bootpc: BOOTP/DHCP, Reply, length: 300
13:33:27.399601 IP hejpc120.hejoe.int.bootpc > 255.255.255.255.bootps: BOOTP/DHCP, Request from 00:0d:56:7a:35:a9, length: 304
13:33:27.454771 IP linebox.hejoe.int.bootps > hejpc120.hejoe.int.bootpc: BOOTP/DHCP, Reply, length: 300
13:33:37.586761 IP hejpc120.hejoe.int.bootpc > 255.255.255.255.bootps: BOOTP/DHCP, Request from 00:0d:56:7a:35:a9, length: 304
13:33:37.650994 IP linebox.hejoe.int.bootps > hejpc120.hejoe.int.bootpc: BOOTP/DHCP, Reply, length: 300
13:33:52.177084 IP hejpc120.hejoe.int.bootpc > 255.255.255.255.bootps: BOOTP/DHCP, Request from 00:0d:56:7a:35:a9, length: 304
13:33:52.241659 IP linebox.hejoe.int.bootps > hejpc120.hejoe.int.bootpc: BOOTP/DHCP, Reply, length: 300

syslog shows steady:
Sep 22 13:33:27 hejpc120 NetworkManager: DHCP: Got some data of length 1500.
Sep 22 13:33:27 hejpc120 NetworkManager: DHCP: Reply message was not UDP (ip_hdr->protocol = 6, IPPROTO_UDP = 17), won't use it.
Sep 22 13:33:27 hejpc120 NetworkManager: DHCP: Got some data of length 300.
Sep 22 13:33:27 hejpc120 NetworkManager: DHCP: Reply message was not UDP (ip_hdr->protocol = 6, IPPROTO_UDP = 17), won't use it.
Sep 22 13:33:27 hejpc120 NetworkManager: DHCP: Got some data of length 1500.
Sep 22 13:33:27 hejpc120 NetworkManager: DHCP: Reply message was not UDP (ip_hdr->protocol = 6, IPPROTO_UDP = 17), won't use it.
...

The load: 13:41:16 up  4:25,  3 users,  load average: 2.08, 1.23, 1.07

And the correct behaviour after stopping the tansfer (from syslog):

Sep 22 14:25:37 hejpc120 NetworkManager: Broadcasting DHCP_REQUEST for 192.168.1.120
Sep 22 14:25:37 hejpc120 NetworkManager: DHCP: Starting request loop, overall start_time = {1127391937s, 943186us}
Sep 22 14:25:37 hejpc120 NetworkManager: DHCP: Request sent, waiting for reply...
Sep 22 14:25:37 hejpc120 NetworkManager: DHCP: Got some data of length 328.
Sep 22 14:25:37 hejpc120 NetworkManager: Server replied with 10 DHCP options:
Sep 22 14:25:37 hejpc120 NetworkManager:        Subnet Mask (1):        255.255.255.0
Sep 22 14:25:37 hejpc120 NetworkManager:        Router (3):     192.168.1.254
Sep 22 14:25:37 hejpc120 NetworkManager:        Domain Server (6):      192.168.1.254
Sep 22 14:25:37 hejpc120 NetworkManager:        Domain Name (15):       "hejoe.int"
Sep 22 14:25:37 hejpc120 NetworkManager:        Broadcast Address (28): 192.168.1.255
Sep 22 14:25:37 hejpc120 NetworkManager:        Address Time (51):      600
Sep 22 14:25:37 hejpc120 NetworkManager:        DHCP Msg Type (53):     5
Sep 22 14:25:37 hejpc120 NetworkManager:        DHCP Server Id (54):    192.168.1.254
Sep 22 14:25:37 hejpc120 NetworkManager:        Renewal Time (58):      0
Sep 22 14:25:37 hejpc120 NetworkManager:        Rebinding Time (59):    0
Sep 22 14:25:37 hejpc120 NetworkManager:        Your IP Address:        192.168.1.120
Sep 22 14:25:37 hejpc120 NetworkManager:        DHCP Server Address:    192.168.1.254 (HW=00:E0:7D:7D:7C:35)
Sep 22 14:25:38 hejpc120 NetworkManager: DHCP_ACK received from  (192.168.1.254)


Version-Release number of selected component (if applicable):
NetworkManager-0.3.4-1.1.0.fc3

How reproducible:
Always

Steps to Reproduce:
1. Under FC3 get an wired interface under NetworkManager control to use DHCP config.
2. Make heavy traffic with 10MByte/s over this interface
3. Wait until NetwokManger tries to renew IP-config via DHCP protocol
  

Actual Results:  Always the same as described in "Description"

Expected Results:  Normal DHCP update of the heavy used interface.

Additional info:
Comment 1 Matthew Miller 2006-07-10 19:01:06 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 petrosyan 2008-02-12 01:50:38 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.